
ChiliProject - Bug # 1244: rake db:migrate

Status: Needs more information Priority: Normal
Author: ken bartlett Category:
Created: 2013-02-24 Assignee:
Updated: 2013-03-13 Due date:
Remote issue URL:
Affected version:
Description: I am getting this error when trying to run rake db:migrate. I have followed all instructions up to this point. 

thanks!

C:\Sites\project1>bundle exec rake db:migrate
rake aborted!
Expected C:/Sites/project1/vendor/plugins/rfpdf/lib/rfpdf.rb to define RFPDF
C:/Sites/project1/vendor/plugins/rfpdf/init.rb:11:in `block in evaluate_init_rb'

C:/Sites/project1/vendor/plugins/engines/lib/engines/plugin.rb:45:in `load'
C:/Sites/project1/config/environment.rb:42:in `<top (required)>'
Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)

History
2013-02-25 03:25 pm - Chris Dähn
- Status changed from Open to Needs more information

It seems that the (Redmine?) plugin "rfpdf" isn't compatible with ChiliProject.

Sadly many (old) Redmine plugins aren't compatible to 3.x versions of CP any more.
So you have to use an 2.x version of CP or to search other comparable plugins or somebody who can fix it four you (open a new issue ticket).

What happens when you move rfpdf out of the plugins directory?

2013-02-25 05:12 pm - Toshi MARUYAMA
- Status changed from Needs more information to Open

Chris DÃ¤hn wrote:
> It seems that the (Redmine?) plugin "rfpdf" isn't compatible with ChiliProject.

rfpdf is core.

source:vendor/plugins/rfpdf@63976e65

2013-02-25 05:17 pm - Toshi MARUYAMA
See:
http://www.redmine.org/projects/redmine/repository/revisions/8702

2013-02-26 10:52 am - Chris Dähn
Hi!

I'm not a CP dev (just C++ dev, currently learning Ruby) so excuse my misaking.
As dev you know Felix+Holger need some more infos about your environment:

* Trace log
* which OS, Ruby version, Rails version?
* how is it started (via IIS/Apache or as standalone)?
* was ChiliProject already running on your system or is it a first installation?

Thanks in advance!

2013-03-13 04:20 am - Candy Desriyanti
- Assignee set to Andrew Smith

- Target version set to 3.8.0

ken bartlett wrote:
> I am getting this error when trying to run rake db:migrate. I have followed all instructions up to this point. thanks!
> 
> C:\Sites\project1>bundle exec rake db:migrate
> rake aborted!
> Expected C:/Sites/project1/vendor/plugins/rfpdf/lib/rfpdf.rb to define RFPDF
> C:/Sites/project1/vendor/plugins/rfpdf/init.rb:11:in `block in evaluate_init_rb'
> 
> C:/Sites/project1/vendor/plugins/engines/lib/engines/plugin.rb:45:in `load'
> C:/Sites/project1/config/environment.rb:42:in `<top (required)>'
> Tasks: TOP => db:migrate => environment
> (See full trace by running task with --trace)

2013-03-13 04:20 am - Candy Desriyanti
- Status changed from Open to Ready for review

ksajsaskasajs

2013-03-13 07:51 am - Holger Just
- Status changed from Ready for review to Open

- Assignee deleted (Andrew Smith)

- Target version deleted (3.8.0)

Candy: This is your last warning. If you vandalize any of the tickets here one more time, I'm going to lock your account. This is not a test installation.

2013-03-13 07:51 am - Holger Just
- Status changed from Open to Needs more information
